function outVec = normal01(inVec,maxVal,minVal,range)
%Normalize inVec to be between maxVal and minVal inside the given range.
	if nargin<4
		range=true(size(inVec,1),1);
	end
	if nargin<3
		minVal=0;
	end
	if nargin<2
		maxVal=1;
	end
	mysize=size(inVec);
	outVec=zeros(mysize);
	for k=1:mysize(2)
		outVec(:,k) = (inVec(:,k)-min(inVec(range,k))) * (maxVal-minVal) ...
									/ (max(inVec(range,k)-min(inVec(range,k)))) + minVal;
	end
end
